Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serializer.utils
Class Utils

    java.lang.Object
      |
      +--org.apache.xml.serializer.utils.Utils

public final class Utils
extends java.lang.Object

This class contains utilities used by the serializer. This class is not a public API, it is only public because it is used by the serializer.

Usage:
  **For internal use only**

Field Summary
`static Messages` | `messages` A singleton Messages object is used to load the given resource bundle just once, it is used by multiple transformations as long as the JVM stays up.

Constructor Summary
`Utils()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messages

    public static final Messages messages

  A singleton Messages object is used to load the given resource bundle just once, it is used by multiple transformations as long as the JVM stays up.

Constructor Detail

### Utils

    public Utils()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.